#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QDirModel>
#include <QListView>
#include <QToolBar>
#include <QList>
#include <QModelIndex>
#include <QAction>
#include <QSize>
#include <QStatusBar>
#include <QString>
#include <QLabel>
#include <QLineEdit>
#include <QDockWidget>
#include <QMenu>
#include <QDragEnterEvent>
#include <QDropEvent>
#include <QList>
#include <QUrl>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void ListView_config();
    void Action();
private:
    QDirModel *DirModel;
    QListView *ListView;
    QToolBar *ToolBar;
    QAction *back;
    QAction *next;
    QAction *home;
    QAction *up;
    QLineEdit *LineEdit;
    QStatusBar *StatusBar;
    QDockWidget *DockWidget;
    QLabel *Label;
    QMenu *Menu;
    QList<QModelIndex> ListDir;
    void setActionIndex(int =0);
    QString homedir;
    int currentDir;
    void navigateEnabled();
    void viewPath(QModelIndex);
    QString ModelIndexToString(QModelIndex);
    QModelIndex StringToModelIndex(QString);
    QList<QModelIndex> refreshListDir(QList<QModelIndex>, int);
    void EnterDir(QModelIndex);
protected:
    void dragEnterEvent(QDragEnterEvent*);
    void dragMoveEvent(QDragEnterEvent*);
    void dropEvent(QDropEvent*);
private slots:
    void BackDir();
    void NextDir();
    void HomeDir();
    void UpDir();
    void DirList(QModelIndex);
    void viewFileName(QModelIndex);
    void setPathDir();
};

#endif // MAINWINDOW_H
